Subject: Re: [PATCH net-next v4 0/5] net: sched: Fixes for classifiers

From: Jakub Kicinski <[email-masked]>
Date: Thu, 13 Jul 2023 10:25:19 -0700

On Wed, 12 Jul 2023 18:13:08 -0300 Victor Nogueira wrote:
> Four different classifiers (bpf, u32, matchall, and flower) are
> calling tcf_bind_filter in their callbacks, but arent't undoing it by
> calling tcf_unbind_filter if their was an error after binding.
> 
> This patch set fixes all this by calling tcf_unbind_filter in such
> cases.
> 
> This set also undoes a refcount decrement in cls_u32 when an update
> fails under specific conditions which are described in patch #3.

I haven't looked the code, and probably won't have the time until 
the evening, so to save time - if these are fixes they will have to
be reposted against net, not net-next.